# According to the Milk-V documentation:
# "The following flashing commands are for developers' reference only"
# The commands also show up in the Titanflasher command window, for transparency
#
# This flashes based on images posted on the Milk-V docs page: https://milkv.io/docs/jupiter/getting-started/resources
# Note that this uses the ZIP file, rather than the zipped image file. Titanflasher unzips the zip file.

fastboot stage factory/FSBL.bin
fastboot continue
sleep 2

fastboot stage u-boot.itb
fastboot continue
sleep 3
#adb reboot bootloader
#sleep 3

fastboot flash gpt partition_universal.json
fastboot flash bootinfo factory/bootinfo_sd.bin
fastboot flash fsbl factory/FSBL.bin
fastboot flash env env.bin
fastboot flash opensbi fw_dynamic.itb
fastboot flash uboot u-boot.itb
fastboot flash bootfs bootfs.ext4
fastboot flash rootfs rootfs.ext4

sleep 2
fastboot reboot
